﻿<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [
	<!ENTITY nbsp "&#x00A0;">
]>

<xsl:stylesheet
	version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:msxml="urn:schemas-microsoft-com:xslt"
	xmlns:umbraco.library="urn:umbraco.library"
	xmlns:CommerceLibrary="urn:CommerceLibrary"
	exclude-result-prefixes="msxml umbraco.library CommerceLibrary">

	<xsl:output method="xml" omit-xml-declaration="yes"/>

	<xsl:template name="productReviewComments">

		<xsl:param name="productReviewId" />
		<xsl:variable name="productReview" select="CommerceLibrary:GetProductReview($productReviewId)"></xsl:variable>
		
		<!-- See AddProductReviewComment.xslt for add product review comment method call. -->

		<xsl:for-each select="$productReview/productReview/comments/comment[(@status='Approved' or @status='ReportedAsAbuse') and string-length(@commentText) > 0]">
			<div>
				<xsl:if test="customer">
					By <b>
						<xsl:value-of select="customer/@firstName"/>&nbsp;<xsl:value-of select="customer/@lastName"/>
					</b>,&nbsp;
				</xsl:if>
				<xsl:value-of select="@createdOn"/>
				<br />
				<xsl:value-of select="@commentText"/>
				<br />
				<a onclick="return confirm('Report this comment as abuse?')">
					<xsl:attribute name="href">
						?productReviewId=<xsl:value-of select="$productReview/productReview/@id"/>&amp;reportCommentAsAbuse=<xsl:value-of select="@id"/>
					</xsl:attribute>
					Report abuse
				</a>
				<br />
				<br />
			</div>
		</xsl:for-each>

	</xsl:template>

</xsl:stylesheet>