﻿<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [
	<!ENTITY nbsp "&#x00A0;">
]>

<xsl:stylesheet
	version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:msxml="urn:schemas-microsoft-com:xslt"
	xmlns:umbraco.library="urn:umbraco.library"
	xmlns:CommerceLibrary="urn:CommerceLibrary"
	exclude-result-prefixes="msxml umbraco.library CommerceLibrary">

	<xsl:output method="xml" omit-xml-declaration="yes"/>

	<xsl:include href="ProductReview[XSLT].xslt"/>
	<xsl:include href="ProductReviewComments[XSLT].xslt"/>

	<xsl:variable name="productReviewId" select="umbraco.library:RequestQueryString('productReviewId')"/>

	<xsl:template match="/">

		<script type="text/javascript">
			<![CDATA[
			$(document).ready(function() {
			$('#addNewCommentBtn').click(function() {
				$('#addNewCommentDiv').slideToggle('normal');
			});
			});
			]]>
		</script>

		<xsl:variable name="productReview" select="CommerceLibrary:GetProductReview($productReviewId)"></xsl:variable>

		<h1>
			Product review
		</h1>
		<xsl:call-template name="productReview">
			<xsl:with-param name="review" select="$productReview/productReview"/>
		</xsl:call-template>
		<h4>
			Comments
		</h4>
		<span id="addNewCommentBtn" class="spanLink">Add new comment</span>
		<div id="addNewCommentDiv" style="display:none; margin-top:10px;">
			<form method="post">
				<input type="hidden" name="productReviewIdInput">
					<xsl:attribute name="value">
						<xsl:value-of select="$productReview/productReview/@id"/>
					</xsl:attribute>
				</input>
				Firstname<br />
				<input type="text" name="firstNameInput" style="width:300px;" />
				<br />
				Lastname<br />
				<input type="text" name="lastNameInput" style="width:300px;" />
				<br />
				E-mail<br />
				<input type="text" name="emailInput" style="width:300px;" />
				<br />
				Was this review helpful to you?
				<input type="radio" name="helpfulInput" value="1" /> Yes
				<input type="radio" name="helpfulInput" value="0" /> no
				<br />
				<br />
				Comment
				<br />
				<!-- xsl:text and break is there to avoid HTML being wrapped in the textarea -->
				<textarea name="commentTextInput" style="height:100px; width:600px;"><xsl:text>
</xsl:text>
				</textarea>
				<br />
				<input type="submit" value="Add comment" />
			</form>
		</div>
		<br />
		<br />
		<xsl:call-template name="productReviewComments">
			<xsl:with-param name="productReviewId">
				<xsl:value-of select="$productReview/productReview/@id"/>
			</xsl:with-param>
		</xsl:call-template>

	</xsl:template>

</xsl:stylesheet>