<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [ <!ENTITY nbsp "&#x00A0;"> ]>
<xsl:stylesheet 
	version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:msxml="urn:schemas-microsoft-com:xslt"
	xmlns:umbraco.library="urn:umbraco.library"
	xmlns:CommerceLibrary="urn:CommerceLibrary"
	exclude-result-prefixes="msxml umbraco.library CommerceLibrary">


<xsl:output method="xml" omit-xml-declaration="yes"/>

<xsl:param name="currentPage"/>

<xsl:template match="/">

  <xsl:variable name="catalogName" select="umbraco.library:RequestQueryString('catalog')"/>
  <xsl:variable name="categories" select="CommerceLibrary:GetRootCategories($catalogName)"/>
  
<!-- start writing XSLT -->
  <ul>
    <xsl:for-each select="$categories/categories/category[@displayOnSite='True']">
      <li>
        <a>
          <xsl:attribute name="href">
			<xsl:value-of select="CommerceLibrary:GetNiceUrlForCategory($catalogName, @name)"/>
          </xsl:attribute>
          <xsl:value-of select="@displayName"/>
        </a>
      </li>
    </xsl:for-each>
  </ul>
  
</xsl:template>

</xsl:stylesheet>